/** 
 * Vision produces the dot at the middle of the FITA archery target.
 * (cf. http://en.wikipedia.org/wiki/File:Archery_Target_80cm.svg)
 * This routine assumes that 550x550 square canvas.
 *
 * @author kvlinden
 * @version Fall, 2009
 */

size(550, 550);
smooth();

// Draw the outer ring.
fill(255);
ellipse(275, 275, 500, 500);
ellipse(275, 275, 450, 450);
fill(0);
ellipse(275, 275, 400, 400);
stroke(255);
ellipse(275, 275, 350, 350);
//fill(0, 255, 255);
//stroke(0);
//ellipse(275, 275, 300, 300);
//ellipse(275, 275, 250, 250);
//fill(255, 0, 0);
//ellipse(275, 275, 200, 200);
//ellipse(275, 275, 150, 150);
//fill(255, 255, 0);
//ellipse(275, 275, 100, 100);
//ellipse(275, 275, 50, 50);
//strokeWeight(.5);
//ellipse(275, 275, 25, 25);

// Draw the center point of the target.
//strokeWeight(2);
point(275, 275); 

saveFrame("archeryTarget.png");

