final int WIDTH = 300, HEIGHT = WIDTH;
int x1, y1, x2, y2;

size(WIDTH, HEIGHT);
smooth();
stroke(0);
strokeCap(ROUND);
textFont(loadFont("Calibri-18.vlw"));


// Draw a line and compute its length using the Pythagorean theorem.
x1 = 75;
y1 = 50;
x2 = WIDTH - 75;
y2 = HEIGHT - 50;

strokeWeight(1);
triangle(x1, y1, x2, y2, x1, y2);
strokeWeight(4);
line(x1, y1, x2, y2);

strokeWeight(8);
point(x1, y1);
point(x2, y2);

fill(0);
textAlign(LEFT);
text("(" + x1 + "," + y1 + ")", x1 + 5, y1);
text("(" + x2 + "," + y2 + ")", x2 + 5, y2);
textAlign(CENTER);
println("length = " + (sqrt(pow(x2 - x1, 2) + pow(y2 - y1, 2))) + " pixels");
text("length = " + (sqrt(pow(x2 - x1, 2) + pow(y2 - y1, 2))) + " pixels", WIDTH/2, HEIGHT - 25);



