// S. Nelesen
// Fall 2011

void setup(){
  size(500, 500);
  background(255);
 
 //Draw a lamp
 drawLamp(50, 50, color(0,0,255), 1);
 drawLamp(150, 100, color(155, 0,0), 2);
} 

//A method to draw a lamp at a given location, with a given color and scaling
void drawLamp(int x, int y, color c, float scaling){
  float lampSize = 25 * scaling;
  
  //Draw the shade
  stroke(c);
  fill(c);
  rect(x, y, 2*lampSize, 4*lampSize);
  triangle(x, y, x, y+4*lampSize, x-lampSize, y+4*lampSize);
  triangle (x+2*lampSize, y, x+2*lampSize, y+4*lampSize, x+3*lampSize, y+4*lampSize);
  strokeWeight(2); 
  stroke(0);
  
  //Draw the base
  line (x+lampSize, y+4*lampSize, x+lampSize, y+6*lampSize);
  line(x, y+6*lampSize, x+2*lampSize, y+6*lampSize);
  strokeWeight(1); 
}

