void setup() { 

  int scrnW = 300, scrnH=300;
  size(scrnW, scrnH);
  smooth();
  int midpointW =scrnW/2, midpointH=scrnH/2;

  float randomX = random(scrnW);
  float randomY = random(scrnH);
  strokeWeight(5);
  point(randomX, randomY);
  strokeWeight(1);
  float diameter = 2 * computeDistance(midpointW, midpointH, 
                                       randomX, randomY);
  fill(255);
  drawCircle(midpointW, midpointH, diameter);
}


float computeDistance(float x, float y, float x2, float y2) {
  float dx = x - x2;
  float dy = y - y2;
  return sqrt(dx * dx + dy * dy);
}


void drawCircle(int x, int y, float diameter) {
  ellipse(x, y, diameter, diameter);
}

