/**
 * SimpleBackgroundFrame implements some code for the text discussion of setup()/draw()
 *
 * @author kvlinden
 * @version Fall, 2009
 */

int width = 200, height = width/2;
int ballX, ballY;  // the current location of the ball

void setup() {
  size(width, height);
//  background(220);
  
  // Start the ball in the upper left.
  ballX = 25;
  ballY = 25;
  
  save("../../../../text/c04methods/simpleBackgroundFrame.tif");
}

void draw() {
  // Erase the ball at the previous location.
//  noStroke();
//  fill(220);
//  rect(0, 0, width, height);
  background(220);
  
  // Draw the ball at the current location.
  stroke(0);
  fill(255);
  ellipse(ballX, ballY, 25, 25);
  
  // Move the ball to the right.
  ballX += 2;
  
  if (ballX <= width) {
    saveFrame("../../../../text/c04methods/ellipseFrames/ellipseFrame-####.tif");
  }
}
