package c08arrays.text;

public class Search {

	public static void main(String[] args) {
		int[] list = { 7, 1, 9, 5, 11 };
		if (binarySearch(list, 7) > -1) {
			System.out.println("Item found");
		} else {
			System.out.println("Item not found");
		}
	}

	public static int linearSearch(int[] list, int value) {
		if (list == null) {
			return -1;
		}
		for (int i = 0; i < list.length; i++) {
			if (value == list[i]) {
				return i;
			}
		}
		return -1;
	}
	
	public static int binarySearch(int[] list, int value) {
		if (list == null) {
			return -1;
		}
		int first = 0;
		int last = list.length - 1;
		while (first <= last) {
			int middle = (first + last) / 2;
			if (value < list[middle]) {
				last = middle - 1;
			} else if (value > list[middle]) {
				first = middle + 1;
			} else {
				return middle;
			}
		}
		return -1;		
	}

}
