package c10quality.lecture.icecream;

import java.util.Scanner;
import java.util.InputMismatchException;

public class IceCreamConsole {

	public static void main(String[] args) {
		IceCreamOrder emptyOrder;
		IceCreamOrder filledOrder;
		filledOrder = new IceCreamOrder();
		System.out.println(filledOrder);

		//IceCreamOrder nextOrder = new IceCreamOrder(3, "Chocolate Chip Cookie Dough", 'C', true);
		try {
			IceCreamOrder nextOrder = new IceCreamOrder(3, "Cookie Dough", false);

			System.out.println(nextOrder);
			nextOrder.setScoops(2);
			nextOrder.setStatus(true);
			System.out.println(nextOrder);

			System.out.println(nextOrder.getCost());

			System.out.println(nextOrder.isBigger(filledOrder));
		}
		catch (Exception e){
			System.out.println(e.getMessage());
		}
		Scanner keyboard = new Scanner(System.in);
		try {
			int scoops = keyboard.nextInt();
			keyboard.nextLine(); // get rid of newline 
			String flavor = keyboard.next();
			IceCreamOrder customerOrder = new IceCreamOrder(scoops,
					flavor,
					false);
			System.out.println(customerOrder);	
		} 
		catch (InputMismatchException e) {
			System.out.println("Illegal number format");
		} 
		catch (Exception e) {
			System.out.println(e.getMessage());
		}

	}

}
