package c11ui.lecture.scribbler;

import processing.core.PApplet;

public class DrawerPanel extends PApplet {
	
	private int myStrokeWeight, myStrokeColor;

	public DrawerPanel() {
		myStrokeWeight = 1;
		myStrokeColor = color(0);
	}
	
	public DrawerPanel(int strokeWeight) {
		setStrokeWeight(strokeWeight);
		myStrokeColor = color(0);
	}
	
	public void setStrokeWeight(int strokeWeight) {
		if (strokeWeight < 1) {
			System.out.println("bad stroke weight: " + strokeWeight);
			exit();
		}
		myStrokeWeight = strokeWeight;
	}
	
	public void setBlack() {
		myStrokeColor = color(0);
	}
	public void setRandom() {
		myStrokeColor = color(random(255), random(255), random(255));
	}
	public void setWhite() {
		myStrokeColor = color(255);
	}
	
	public void setup() {
		size(300, 300);
		background(255);
	}

	public void draw() {
	}

	public void mouseDragged() {
		stroke(myStrokeColor);
		strokeWeight(myStrokeWeight);
		line(pmouseX, pmouseY, mouseX, mouseY);
	}

}
