package c11ui.lecture.shaker.shaker5;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * This test class reviews the use of JUnit testing for classes that throw
 * exceptions. It was not included in the video demonstration.
 * 
 * @author kvlinden
 * @version Spring, 2012
 */
public class FigureTest {

	@Test
	public void constructorHappyTest() {
		try {
			Figure f = new Figure(10, 10, 10, 10);
			assertEquals(10, f.getShift());
		} catch (Exception e) {
			fail();
		}
	}
	
	@Test
	public void constructorUnhappyTest() {
		try {
			Figure f = new Figure(10, 10, 10, -10);
			fail();
		} catch (Exception e) {
			// GOOD!
		}
	}	

}
