/**
 * Expanding Circle implements a simple expanding circle animation.
 *
 * @author kvlinden
 * @version Fall, 2009
 */

final int SIZE = 200;
int myX, myY, myDiameter;
color myColor;

void setup() {
  size(SIZE, SIZE);
  myX =  SIZE / 2;
  myY = myX;
  myDiameter = 0;
  myColor = color(125, 125, 175);
  smooth();
  fill(myColor);
}

void draw() {
  myDiameter++;
  ellipse(myX, myY, myDiameter, myDiameter);
}

void mousePressed() {
  myX = mouseX;
  myY = mouseY;
  myDiameter = 0;
}

void keyPressed() {
  save("../../../../text/c08java/expandingCircle.tif");
}
