package c11ui.text.expandingCircle.expander1;

import processing.core.PApplet;

/**
 * ExpanderPanel1 encapsulates the features of the ExpandingCircle Processing
 * application in a single Java class.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class ExpanderPanel extends PApplet {

	public static final int SIZE = 200;
	private int myX, myY, myDiameter;
	int myColor;

	public ExpanderPanel() {
		myX = myY = SIZE / 2;
		myDiameter = 0;
		myColor = color(125, 125, 175);
	}

	public void setup() {
		size(SIZE, SIZE);
		smooth();
		fill(myColor);
	}

	public void draw() {
		myDiameter++;
		ellipse(myX, myY, myDiameter, myDiameter);
	}
	
	public void mousePressed() {
		myX = mouseX;
		myY = mouseY;
		myDiameter = 0;
	}

}
