package c11ui.text.expandingCircle.expander2;

import processing.core.PApplet;

/**
 * ExpanderPanel encapsulates the features of a two-class version of the 
 * ExpandingCircle Processing application in two Java classes.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class ExpanderPanel extends PApplet {

	public static final int SIZE = 200;
	public int defaultColor = color(125, 125, 175);
	private Expander myExpander;

	public ExpanderPanel() {
		myExpander = new Expander(SIZE / 2, SIZE / 2, 0, defaultColor);
	}

//	public void restart() {
//		myExpander.setDiameter(0);
//	}

	public void clear() {
		background(255);
	}

	public void setup() {
		size(SIZE, SIZE);
		smooth();
	}

	public void draw() {
		myExpander.incrementDiameter();
		myExpander.render(this);
	}
	
	public void mousePressed() {
		myExpander = new Expander(mouseX, mouseY, 0, defaultColor);
	}

}
