package c11ui.text.expandingCircle.expanderOther;

import processing.core.PApplet;

public class ExpanderPanel extends PApplet {


	private static final int WIDTH=510, HEIGHT=WIDTH;
	private int   myFigureX,  myFigureY,    myFigureDiameter,   myFigureColor; 

	public ExpanderPanel(){
	    myFigureX = WIDTH / 2;
		 myFigureY = HEIGHT / 2;
		 myFigureDiameter = 0;
		 myFigureColor = color (255, 0, 0);
	}

	public void setup() {
	  size(WIDTH, HEIGHT);
	  background(255);
	  smooth();
	}


	public void draw() {
	  stroke(myFigureColor);
	  noFill();
	  myFigureDiameter += 2;
	  ellipse(myFigureX, myFigureY, myFigureDiameter, myFigureDiameter);
	}


	public void mousePressed() {
	 myFigureX = mouseX;
	 myFigureY = mouseY;
	  myFigureDiameter = 0;
	  myFigureColor = color(random(255), random(255), random(255));
	}

	public void clear(){
		background(255);
		myFigureDiameter = 0;
	}
	
}
