package c11ui.text.raindrops.raindrops1;

import processing.core.PApplet;

/**
 * Raindrop is an encapsulation of a simple raindrop class.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class Raindrop {
	
	private float myX, myY, myDiameter;
	private int myColor;
	
	public Raindrop(float x, float y, float diameter, int color) {
		myX = x;
		myY = y;
		myDiameter = diameter;
		myColor = color;
	}
	
	public void render(PApplet p) {
		p.fill(myColor);
		p.ellipse(myX, myY, myDiameter, myDiameter);
	}

}
