package c12lists.text.characterdrill.characterdrillOld;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

import org.junit.Test;

/**
 * CharacterDrillTest provides some simple unit tests for the CharacterDrill application.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class CharacterDrillTest {

	@Test
	public void goodFileTest() {
		try {
			CharacterDrill2 drill = new CharacterDrill2("src/c11files/characterdrill/data/",
					"good.txt", 0);
			assertEquals("Translate the character shown above.", drill.getHintText());
			assertEquals("PinYin: wo3", drill.getHintText());
			assertEquals("Example: \u6211\u611B\u4F60", drill.getHintText());
			assertEquals("No more hints...", drill.getHintText());
		} catch (Exception e) {
			fail("threw error on good file...");
		}
	}

	@Test
	public void missingFileTest() {
		try {
			new CharacterDrill2("blob", "blob", 0);
			fail("loaded a bad file...");
		} catch (Exception e) {
		}
	}

	@Test
	public void badExampleTest() {
		try {
			new CharacterDrill2("src/c11files/characterdrill/data/", "badExample.txt", 0);
			fail("loaded a bad file...");
		} catch (Exception e) {
		}
	}

}
