package c13oop.lecture.payrollOld;

/** Programmer.java
*
*  @see SalariedEmployee
*/

import java.util.Scanner;                      

class Programmer extends SalariedEmployee
{
//--- Programmer default constructor ---
public Programmer()
{
  super();
  myProject = "";
}

//--- Programmer explicit-value constructor ---
public Programmer(String name, int id, double salary, String project)
{
  super(name, id, salary);
  myProject = project;
} 

//--- Accessor method ---
public String project() { return myProject; }

//--- String converter (for output) ---
public String toString()
{
  return super.toString() + "\n" + myProject;
}

//--- File input ---
public void read(Scanner reader)
{
  super.read(reader);
  try
  {
	  reader.nextLine(); // get to next line
	  myProject = reader.nextLine();	
  }
  catch (Exception e)
  {
    System.err.println("Programmer.read(): " + e);
    System.exit(1);
  }
}

//--- Attribute variable ---
private String myProject;
}

