package c13oop.text.simpledraw.simpledraw0;

import java.awt.BorderLayout;

import javax.swing.JFrame;


/**
 * A GUI frame for a simple rectangle panel
 *  
 * @author kvlinden
 * @version Fall, 2009
 */
@SuppressWarnings("serial")
public class SimpledrawController extends JFrame {

	private SimpledrawPanel drawingPanel;

	public SimpledrawController() throws Exception {
		super("Simpledraw");
		setDefaultCloseOperation(EXIT_ON_CLOSE);

		drawingPanel = new SimpledrawPanel();
		drawingPanel.init();
		add(drawingPanel, BorderLayout.CENTER);
	}

	public static void main(String args[]) throws Exception {
		SimpledrawController controller = new SimpledrawController();
		controller.pack();
		controller.setVisible(true);
	}
}