package c13oop.text.simpledraw.simpledraw2;

import java.awt.Point;

public abstract class ClosedFigure extends Figure {

	protected int myWidth, myHeight;
	protected boolean myFilled;

	public ClosedFigure(Point start, int color, boolean filled) {
		super(start, color);
		myWidth = myHeight = 0;
		myFilled = filled;
	}

	public ClosedFigure(Point start, int color, int width, int height, boolean filled) {
		super(start, color);
		myWidth = width;
		myHeight = height;
		myFilled = filled;
	}

}
