package c13oop.text.simpledraw.simpledraw2;

import java.awt.Point;

import processing.core.PApplet;

public class Line extends Figure {

	private Point myEnd;

	public Line(Point start, int color) {
		super(start, color);
		myEnd = start;
	}

	public Line(Point start, Point end, int color) {
		super(start, color);
		myEnd = end;
	}

	public void updatePoint(Point p) {
		myEnd = p;		
	}
	
	public void render(PApplet p) {
		p.stroke(myColor);
		p.line(myStart.x, myStart.y, myEnd.x, myEnd.y);
	}
}
