package c13oop.text.vehiclesAbstract;

class Car extends PoweredVehicle {
	
	private String myEngineSize;
	
	public Car() {
		myEngineSize = "unknown";
	}
	
	public Car(String brand, String model, String fuelType, String engineSize) {
		super(brand, model, fuelType);
		myEngineSize = engineSize;
	}
	
	public String getEngineSize() {
		return myEngineSize;
	}
	
	public void setEngineSize(String engineSize) {
		myEngineSize = engineSize;
	}

	public String toString() {
		return "Car: " + super.toString() + "\n\tfuel type: " + getFuelType() + "\n\tengine size: " + getEngineSize(); 
	}

	@Override
	public String getLocomotion() {
		return "drive";
	}

}
