package c13oop.text.vehiclesAbstract;

class Skateboard extends Vehicle {
	
	private double myBoardLength;
	
	public Skateboard() {
		myBoardLength = 0;
	}
	
	public Skateboard(int boardLength) {
		setBoardLength(boardLength);
	}
	
	public Skateboard(String brand, String model, double boardLength) {
		super(brand, model);
		myBoardLength= boardLength;
	}

	public double getBoardLength() {
		return myBoardLength;
	}
	
	public void setBoardLength(double boardLength) {
		myBoardLength= boardLength;
	}

	@Override
	public String getLocomotion() {
		return "skate";
	}

//	public String toString() {
//		return "Skateboard: " + super.toString() + "\n\tlength: " + getBoardLength(); 
//	}

}
