/** 
 * Poster produces a "dynamic" poster that displays a 
 * "You are Here" message connected to rondomly selected
 * points on an image of the Earth.
 *
 * @author nyhl, jnyhoff, kvlinden
 * @version Fall, 2009
 */

size(300,225);
smooth();
background(0, 0, 0);

// Add an Earth photo.
image(loadImage("blueMarble600px.png"), 25, 25);

// Create the text caption.
fill(255, 255, 255);
textFont(loadFont("Calibri-20.vlw"));
text("You are here.", 20, 50);

// Draw the point.
stroke(255, 255, 255, 128);
strokeWeight(5);
point(150, 145);

// Draw the line from the text caption to the point.
strokeWeight(2);
line(70, 60, 150, 145);

stroke(255);
strokeWeight(random(3));
point(random(300), random(200));
strokeWeight(random(3));
point(random(300), random(200));
strokeWeight(random(3));
point(random(300), random(200));
strokeWeight(random(3));
point(random(300), random(200));

//saveFrame("../../../../text/c02programming/youAreHere.tiff");
