// S. Nelesen
// Fall 2011

//Starting point for program
void setup(){
  //setup the frame
  size(600, 600);
  background(255);
  smooth();

  //Draw a car
  car(200, 190, color(0,0,255), 0.5);
  car(400, 400, color(255,0,0), 2);
  car(500, 100, color(0,255,0),1);
  car(150, 550, color(255, 0, 255), 3);
}

// This method draws a car given coordinates, a color, and scaling factor
void car(int x, int y, color c, float scaling){
  float carSize = 120*scaling;
  
  //Car Body
  fill(c);
  stroke(c);
  arc(x, y, 5*carSize/6, carSize, PI, 2*PI);
  arc(x+3*carSize/8, y, 5*carSize/12, carSize/2, PI, 2*PI);
  
  //Window
  fill(255);
  stroke(255);
  arc (x, y-carSize/4, carSize/2, carSize/3, PI, 2*PI);
  stroke(0);
  line(x, y-carSize/4, x, y-5*carSize/12);
  
  //Wheels
  fill(0);
  float wheel = 5*carSize/24;
  ellipse(x-carSize/6, y, wheel, wheel);
  ellipse(x+carSize/4, y, wheel, wheel);
}
