final int WIDTH = 500, HEIGHT = WIDTH;
int figureX, figureY;
float diameter;  

void setup() {
  size(WIDTH, HEIGHT);
  background(255);
  smooth();
  fill(255);  
}

void draw() {
}

void mousePressed() {
  figureX = mouseX;
  figureY = mouseY;
  diameter = 0;
  stroke(0);
  strokeWeight(1);
}

void mouseDragged() { 
  diameter = computeDistance(figureX, figureY, mouseX, mouseY);
  background(255);
  ellipse(figureX, figureY, diameter, diameter);
  line(figureX, figureY, mouseX, mouseY);
}

/**
 * Compute the Euclidean distance from (x1, y1) to (x2, y2).
 * (This partially reimplements Processing's dist() method).
 *
 * @param x1 the x coordinate of position 1
 * @param y1 the y coordinate of position 1
 * @param x2 the x coordinate of position 2
 * @param y2 the y coordinate of position 2
 * @return the distance from (x1, y1) to (x2, y2)
 */
float computeDistance(int x1, int y1, int x2, int y2) {
  return 2 * sqrt((x1-x2)*(x1-x2) + (y1-y2)*(y1-y2));
}
