// the color chooser example
// kvlinden, 15july2009

final int UNIT = 100;
color COLOR1 = color(0, 102, 153), COLOR2 = color(50, 152, 0), COLOR3 = color(152, 3, 0), COLOR_DEFAULT = color(200);

void setup() {
  size(UNIT*2, UNIT*3);
  background(COLOR_DEFAULT);
  
  // Set up the three color choice boxes.
  fill(COLOR1);
  rect(0, 0, UNIT, UNIT);
  fill(COLOR2);
  rect(0, UNIT, UNIT, UNIT);
  fill(COLOR3);
  rect(0, UNIT*2, UNIT, UNIT);
  fill(COLOR_DEFAULT);
}

void draw() {
  // Re-draw the output color box.
  rect(UNIT, 0, UNIT*3, UNIT*3);
}

void mousePressed() {
  // The user has clicked the upper-left color choice box.
  if ((mouseX > 0) && (mouseX < UNIT) && 
      (mouseY > 0) && (mouseY < UNIT)) {
    fill(COLOR1);
    
  // The user has clicked the center color choice box.
  } else if ((mouseX > 0) && (mouseX < UNIT) && 
      (mouseY > UNIT) && (mouseY < UNIT*2)) {
    fill(COLOR2);
    
  // The user has clicked the lower-left color choice box.
  } else if ((mouseX > 0) && (mouseX < UNIT) && 
      (mouseY > UNIT*2) && (mouseY < UNIT*3)) {
    fill(COLOR3);
    
  // The user must have clicked in the output color box.
  } else {
    fill(COLOR_DEFAULT);
  }
}

