package c07repetition.lecture.mandelbrot;

import static org.junit.Assert.*;
import junit.framework.Assert;

import org.junit.Test;

/**
 * this is a JUnit tests that tests the Mandelbrot class
 * 
 * @author gao2
 * @version Fall, 2009
 * @author modified by kvlinden
 */

public class MandelbrotTest {

	@Test
	// test the tester
	public void philosophyTest() {
		try {
			Assert.assertEquals(true, true);
		} catch (Exception e) {
			fail("when does true not equal true?");
		}
	}

	// TODO add methods to test the mutator and accessor methods of the
	// Mandelbrot class
	@Test
	public void mandelbrotTest() {
		try {
			// test the default constructor
			MandelbrotPanel mandelbrot = new MandelbrotPanel();
			Assert.assertEquals(40, mandelbrot.getIterations());
			Assert.assertEquals(1, mandelbrot.getColorChanger());
			Assert.assertEquals(10, mandelbrot.getRedFactor());
			Assert.assertEquals(12, mandelbrot.getGreenFactor());
			Assert.assertEquals(17, mandelbrot.getBlueFactor());

			// test explicit value constructor
			MandelbrotPanel mandelbrot2 = new MandelbrotPanel(100);
			Assert.assertEquals(100, mandelbrot2.getIterations());
			Assert.assertEquals(1, mandelbrot2.getColorChanger());

			// test some mutator methods
			mandelbrot.setIterations(900);
			Assert.assertEquals(900, mandelbrot.getIterations());
			mandelbrot.setColorChanger(202);
			Assert.assertEquals(202, mandelbrot.getColorChanger());
			mandelbrot.blackAndWhite();
			Assert.assertEquals(1, mandelbrot.getRedFactor());
			Assert.assertEquals(1, mandelbrot.getGreenFactor());
			Assert.assertEquals(1, mandelbrot.getBlueFactor());
			mandelbrot.setToColor();
			Assert.assertEquals(10, mandelbrot.getRedFactor());
			Assert.assertEquals(12, mandelbrot.getGreenFactor());
			Assert.assertEquals(17, mandelbrot.getBlueFactor());
		} catch (Exception e) {
			
		}
	}

}
