package c07repetition.text;

import java.util.Scanner;

public class SummationLoop {

	public static void main(String[] args) {
		final int SENTINEL = -1;
		Scanner keyboard = new Scanner(System.in);

		System.out.println("Welcome to the Summation Program, please enter some positive integers.");
		int runningSum = 0, x;
		while (true) {
			// Read the next integer value (or the sentinel value).
			System.out.print("integer (or " + SENTINEL + " to quit): ");
			x = keyboard.nextInt();
			
			// When the sentinel is read, terminate the loop.
			if (x == SENTINEL) {
				break;
			}
			
			// Update the running sum.
			runningSum += x;
		}
		System.out.println("Summation: " + runningSum);
	}

}
