/** 
 * FractalCirclesSimple draws concentric circles recursively.
 *
 * @author kvlinden
 * @version Spring, 2010
 */

final int WIDTH = 201, HEIGHT = WIDTH;
final int LIMIT = 1; 

void setup() {
  size(WIDTH, HEIGHT);
  smooth();
  //  strokeWeight(3);
  noLoop();
}

void draw() {
  //ellipse(WIDTH/2, HEIGHT/2, 1, 1);
  drawCircles(WIDTH/2, HEIGHT/2, WIDTH);
}

void drawCircles(int x, int y, int diameter) {
  ellipse(x, y, diameter, diameter);
  if (diameter > LIMIT) {
    drawCircles(x, y, diameter - 25);
  }
}

void keyPressed() {
  save("../../../../text/c05control/concentricCircles.tif");
}






