// array parameter and return value examples
// kvlinden, 22july2009

void setup() {
  noLoop();
}

void draw() {
  float[] anArray = { 1.0, 2.0, 3.0 };
  println(computeAverage(anArray));
  println(constructZeroedArray(3));
}

float computeAverage(float[] values) {
  if ((values == null) || (values.length <= 0)) {
    return 0.0;
  }
  float sum = 0.0;
  for (int i = 0; i < values.length; i++) {
    sum += values[i];
  }
  return sum / values.length;
}

float[] constructZeroedArray(int arrayLength) {
  if (arrayLength < 0) {
    arrayLength = 0;
  }
  float[] result = new float[arrayLength];
  for (int i = 0; i < arrayLength; i++) {
    result[i] = 0.0;
  }
  return result;
}


