package c09classes.text.coordinate;

/**
 * This is example code for the Chapter 9 reading guide.
 * 
 * @author kvlinden
 * @version Spring, 2012 (based on the old classes lab)
 */
public class Coordinate {

	private double myX, myY;

	public Coordinate() {
		myX = myY = 0;
	}

	public Coordinate(double x, double y) {
		myX = x;
		myY = y;
	}

	public double getX() {
		return myX;
	}

	public double getY() {
		return myY;
	}

	public Coordinate add(Coordinate otherCoordinate) {
		return new Coordinate(myX + otherCoordinate.getX(), myY + otherCoordinate.getY());
	}

	public String toString() {
		return "(" + myX + ", " + myY + ")";
	}

}
