package c11ui.lecture.shaker.shaker1;

import javax.swing.JFrame;

/**
 * ShakerController is a simple version of a Java controller for the
 * shaking circle application. It provides a simple JFrame in which to run
 * the original application as it runs in Processing.
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
public class ShakerController extends JFrame {

	private ShakerPanel shakerPanel;

	public ShakerController() {
		setTitle("Shaker");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		
		shakerPanel = new ShakerPanel();
		shakerPanel.init();
		add(shakerPanel);
	}

	public static void main(String[] args) {
		ShakerController controller = new ShakerController();
		controller.pack();
		controller.setVisible(true);
	}

}
