package c11ui.lecture.swingBasics;

import javax.swing.*;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ClickButton extends JFrame implements ActionListener {

	//instance variables (must be declared outside of constructor so we can use them 
	//in the actionPerformed method )
	JLabel myMessage;
	JButton myButton;
	
	//constructor
	public ClickButton (){
		setTitle("Click the button");
		setSize(265,125);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setLayout(new FlowLayout());
		
		//Add elements to the frame (stick them on the tackboard, make sure
		// someone is paying attention)
		myMessage = new JLabel("Push the button");
		add(myMessage);
		
		myButton = new JButton("Button");
		myButton.addActionListener(this);
		add(myButton);
	    	
	}
	
	//Waits for some event to happen, and when it does, jumps into action
	public void actionPerformed(ActionEvent e) {
			myMessage.setText("Button was pushed!");
			myButton.setEnabled(false);
	}
	
	
	//Our usual starting point
	public static void main(String[] args) {
		ClickButton controller = new ClickButton();
		controller.setVisible(true);
	}

}
