package c12lists.lecture.countryguess;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class CountryGuessTest {

	CountryGuessGame2 game;

	@Test
	public void testGuessAlgeria() {
		game = new CountryGuessGame2(0);
		assertTrue(game.guess("Algeria"));
		assertFalse(game.guess("Blob"));
		assertEquals("The country is in Africa", game.getHintText());
		assertEquals("The name starts with 'A'", game.getHintText());
		assertEquals("The name has 7 letters", game.getHintText());
		assertEquals("The name ends with 'a'", game.getHintText());
	}

	@Test
	public void testGuessBassas() {
		game = new CountryGuessGame2(2);
		assertTrue(game.guess("Bassas da India"));
		assertEquals("The country is in Asia", game.getHintText());
		assertEquals("The name starts with 'B'", game.getHintText());
		assertEquals("The name has 15 letters", game.getHintText());
		assertEquals("The name ends with 'a'", game.getHintText());
	}
}
