package c12lists.text.soldierRecords;

import java.util.ArrayList;
import java.util.Scanner;

public class Soldier {

	private String myName, myRank, mySerialNumber;
	private ArrayList<String> myNickNames;

	public Soldier(String name, String rank, String serialNumber) {
		myName = name;
		myRank = rank;
		mySerialNumber = serialNumber;
		myNickNames = new ArrayList<String>();
	}
	
	public Soldier(String line) {
		Scanner scanner = new Scanner(line);
		myName = scanner.next();
		myRank = scanner.next();
		mySerialNumber = scanner.next();
		myNickNames = new ArrayList<String>();
		while (scanner.hasNext()) {
			myNickNames.add(scanner.next());
		}
		scanner.close();
	}

	// public String toString() {
	// return myName + " " + myRank + " " + mySerialNumber;
	// }

	public String toString() {
		String result = myName + " " + myRank + " " + mySerialNumber;
		for (int i = 0; i < myNickNames.size(); i++) {
			result += " " + myNickNames.get(i);
		}
		return result;
	}

}
