package c13oop.lecture.payroll;

public abstract class Employee {

	private int myId;
	private String myName, myRole;

	public Employee() {
		System.out.println("Employee constructor");
		myId = 0;
		myName = myRole = "";
	}

	public Employee(int id, String name, String role) {
		myId = id;
		myName = name;
		myRole = role;
	}
	
	public int getId() { return myId; }
	public void setId(int id) { myId = id; }
	public String getName() { return myName; }
	public void setName(String name) { myName = name; }
	public String getRole() { return myRole; }
	public void setRole(String role) { myRole = role; }

	abstract public double computePay();

	@Override
	public String toString() {
		return myId + " " + myName + "\n\tRole: " + myRole;
	}
	

}
