package c13oop.lecture.payroll;

import java.util.ArrayList;

public class PayrollConsole {

	public static void main(String[] args) {
		// 1. Employee only
//		 Employee e = new Employee(0, "Snow White", "customer representative");
//		 System.out.println(e);
		
		// 2. HourlyEmployee
		HourlyEmployee he = new HourlyEmployee();
		he.setPayrate(10.0);
		he.setHours(50.0);
		System.out.println(he.computePay());
		he.setId(1);
		he.setName("Sneezy");
		he.setRole("intern");
		System.out.println(he);
		
		// 3. SalariedEmployee
		SalariedEmployee se = new SalariedEmployee();
		se.setId(2);
		se.setName("Doc");
		se.setRole("physician");
		se.setSalary(100000.0);
//		System.out.println(se);
//		System.out.println(se.computePay());

		// 4. CommissionEmployee and CommissionBaseEmployee
//		new CommissionBaseEmployee();
		CommissionBaseEmployee cbe = new CommissionBaseEmployee(3, "Happy", "sales", 250000.0, 0.01, 40000.0);
//		System.out.println(cbe);
//		System.out.println(cbe.computePay());
		
		// 5. abstact Employee, computePay()
		Employee e = new HourlyEmployee();
		//HourlyEmployee e = new Employee();
		//e.computePay(); fails without abstract! How can we guarantee this?!
		
		//new Employee(0, "testing");    error...
		
		ArrayList<Employee> employees = new ArrayList<Employee>();
		employees.add(new HourlyEmployee(1, "Sneezy", "intern", 10.0, 40.0));
		employees.add(new SalariedEmployee(2, "Doc", "physician", 100000.0));
		employees.add(new CommissionBaseEmployee(3, "Happy", "sales", 250000.0, 0.01, 40000.0));
		employees.add(new SalariedEmployee(4, "Dopey", "trainer", 65000));
		employees.add(new HourlyEmployee(5, "Sleepy", "trainee", 15.00, 40.00));
		employees.add(new CommissionEmployee(6, "Grumpy", "sales", 250000.00, 0.05));
		employees.add(new CommissionBaseEmployee(7, "Bashful", "sales manager", 2500.00, 0.05, 40000));
		
		for (int i = 0; i < employees.size(); i++) {
		    System.out.println(employees.get(i));
		    System.out.println("\tPay: $" + employees.get(i).computePay());
		}
	}

}
