package c13oop.lecture.payroll;

public class SalariedEmployee extends Employee {
	
	private double mySalary;
	
	public SalariedEmployee() {
		mySalary = 0.0;
	}
	
	public SalariedEmployee(int id, String name, String role, double salary) {
		super(id, name, role);
		mySalary = salary;
	}
	
	public double getSalary() { return mySalary; }
	public void setSalary(double salary) { mySalary = salary; }

	@Override
	public double computePay() {
		return mySalary;
	}

	@Override
	public String toString() {
		return super.toString() + "\n\tAnnual Salary: " + mySalary;
	}
	
}
