package c13oop.text.examples;

class Subclass extends Superclass {
	
	// attributes and behaviors unique to Subclass...
	
	private int someValue;
	
	public Subclass() {
		this(1);                         // Call the explicit-value constructor.
	}
	
	public Subclass(int someValue) {
		this.someValue = someValue;      // Access the class instance variable.
	}
	
	public Subclass(int sharedValue, int someValue) {
		super(sharedValue);
		this.someValue = someValue;
	}
	
	public int superClassMethod() {
		// do something different...
		return 2;
	}

}
