package c13oop.text.simpledraw.simpledraw0;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;


import processing.core.PApplet;

/**
 * A simple PApplet panel that displays some rectangles
 * 
 * @author kvlinden
 * @version Fall, 2009
 */
@SuppressWarnings("serial")
public class SimpledrawPanel extends PApplet {

	private final int BACKGROUND_COLOR = color(255), WIDTH = 300, HEIGHT = WIDTH, PAD = 10,
			SPACE = 10;

	private List<Rectangle> myRectangles;

	public SimpledrawPanel() {
		myRectangles = new ArrayList<Rectangle>();
		myRectangles.add(new Rectangle(new Point(10, 10), 280, 280, color(0), false));
		myRectangles.add(new Rectangle(new Point(20, 20), 120, 120, color(255, 55, 55), true));
		myRectangles.add(new Rectangle(new Point(160, 20), 120, 120, color(55, 255, 55), true));
		myRectangles.add(new Rectangle(new Point(20, 160), 120, 120, color(55, 55, 255), true));
		myRectangles.add(new Rectangle(new Point(160, 160), 120, 120, color(155, 155, 155), true));
	}

	public void setup() {
		size(WIDTH, HEIGHT);
		background(BACKGROUND_COLOR);
		smooth();
		noLoop();
	}

	public void draw() {
		for (int i = 0; i < myRectangles.size(); i++) {
			myRectangles.get(i).render(this);
		}
	}

}
