package c13oop.text.simpledraw.simpledraw1;

import java.awt.Point;

public abstract class ClosedFigure extends Figure {

	private int myWidth, myHeight;
	private boolean myFilled;

	public ClosedFigure() {
		myWidth = myHeight = 0;
		myFilled = false;
	}

	public ClosedFigure(Point start, int color, boolean filled) {
		super(start, color);
		myWidth = myHeight = 0;
		myFilled = filled;
	}

	public ClosedFigure(Point start, int width, int height, boolean filled) {
		super(start);
		myWidth = width;
		myHeight = height;
		myFilled = filled;
	}

	public ClosedFigure(Point start, int color, int width, int height, boolean filled) {
		super(start, color);
		myWidth = width;
		myHeight = height;
		myFilled = filled;
	}

	public int getWidth() {
		return myWidth;
	}
	public void setWidth(int width) {
		myWidth = width;
	}

	public int getHeight() {
		return myHeight;
	}
	public void setHeight(int height) {
		myHeight = height;
	}

	public boolean getFilled() {
		return myFilled;
	}

}
