package c13oop.text.simpledraw.simpledraw1;

import java.awt.Point;
import java.util.ArrayList;

import processing.core.PApplet;

@SuppressWarnings("serial")
public class SimpledrawPanel extends PApplet {

	private final int BACKGROUND_COLOR = color(255), WIDTH = 300, HEIGHT = WIDTH;

	private ArrayList<Figure> myFigures;

	public SimpledrawPanel() {
		myFigures = new ArrayList<Figure>();
		myFigures.add(new Rectangle(new Point(10, 10), new Point(280, 280), color(0), false));
		myFigures.add(new Ellipse(new Point(11, 11), new Point(278, 278), color(255, 55, 55), true));
		myFigures.add(new Line(new Point(10, 10), new Point(280, 280), color(55, 255, 55)));
		myFigures.add(new Line(new Point(280, 10), new Point(10, 280), color(55, 55, 255)));
	}

	public void setup() {
		size(WIDTH, HEIGHT);
		background(BACKGROUND_COLOR);
		smooth();
		noLoop();
	}

	public void draw() {
		for (int i = 0; i < myFigures.size(); i++) {
			myFigures.get(i).render(this);
		}
	}

}
